// package slog_term -- логгера для терминала
package slog_term

// SlogTerm -- терминальный логгер
type SlogTerm struct {
	chMsg chan string
}

// NewSlogTerm -- возвращает новый терминальный логгер
func NewSlogTerm() *SlogTerm {
	сам := &SlogTerm{
		chMsg: make(chan string, 10),
	}
	go сам.run()
	return сам
}

// Write -- пишет запись в консоль
func (сам *SlogTerm) Write(msg string) {
	сам.chMsg <- msg
}

// Главный цикл, работает в отдельном потоке
func (сам *SlogTerm) run() {
	// for msg := range сам.chMsg {
	// 	// fmt._rintln(msg)
	// }
}
